import request from '@/utils/request'
import state from '@/store'
import router from '@/router'

// 初始化工艺
export function searchTechnology(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_基础表_工艺名称_查询数据',
      param: '工艺分类流水号_check=0&工艺分类流水号=' + num
    }
  })
}
export function getNames() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_传递后_项目名称_查询数据_加工进度修改'
    }
  })
}

export function getMachines(gongyi) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_传递后_机床名称_查询数据_查询所有机床',
      param: '项目流水号=' + gongyi + '=int'
    }
  })
}
export function getGroups(stepNumber) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_传递后_组件名称_查询数据_查询所有组',
      param: '机床流水号=' + stepNumber + '=int'
    }
  })
}
export function getParts(stepNumber, a, b, c, d, e, f, g) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理_基础表_员工月修补工时_查询零件',
      param: '项目流水号_check=' + stepNumber + '=string&项目流水号=' + a + '=string&机床流水号_check=' + b + '=string&机床流水号=' + c + '=string&组件流水号_check=' + d + '=string&组件流水号=' + e + '=string&零件图号_check=' + f + '=string&零件图号=' + g + '=string&是否查询全部数据=1=string&单件是否外协=0'
    }
  })
}
// 查询人员编号
export function searchperson(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_员工回用报废工时统计表_查询数据',
      param: '序号=' + num
    }
  })
}
// 查询
export function searchtable(check, num, pageCurrent, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理_基础表_员工月修补工时_查询数据_MESWORK',
      param: '人员编号_check=' + check + '&人员编号=' + num,
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
// 增加
export function edittype(num1, ManufacturerNumber, ManufacturerAbbreviation, address, roleName, num2) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '车间生产管理_基础表_员工月修补工时_增加数据',
      param: '工艺计划流水号=' + num1 + '&人员编号=' + ManufacturerNumber + '&年=' + ManufacturerAbbreviation + '&月=' + address + '&修补工时=' + roleName + '&修补工艺=' + num2
    }
  })
}
// 编辑
export function handlechange(CoManufacturerFlowNumber, num1, ManufacturerNumber, ManufacturerAbbreviation, address, roleName, num2) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '车间生产管理_基础表_员工月修补工时_修改数据',
      param: '员工月修补工时流水号=' + CoManufacturerFlowNumber + '&工艺计划流水号=' + num1 + '&人员编号=' + ManufacturerNumber + '&年=' + ManufacturerAbbreviation + '&月=' + address + '&修补工时=' + roleName + '&修补工艺=' + num2
    }
  })
}
// 删除工艺信息
export function delList(MaterialCode) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '车间生产管理_基础表_员工月修补工时_删除数据',
      param: '员工月修补工时流水号=' + MaterialCode
    }
  })
}
export function dialogtablevisible() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '人事档案管理_部门关系_查询节点',
      param: '子节点=0'
    }
  })
}
// 初始化人员信息 弹出框
export function getTree() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: 1,
      name: '人事档案管理_部门关系_查询节点',
      param: '子节点=0=int'
    }
  })
}
export function fn(data, pid) {
  const result = []
  let temp
  for (let i = 0; i < data.length; i++) {
    if (data[i].父节点 === pid) {
      const obj = { label: data[i].节点名称, id: data[i].子节点 }
      temp = fn(data, data[i].子节点)
      if (temp.length > 0) {
        obj.children = temp
      }
      result.push(obj)
    }
  }
  return result
}

export function getTable8(code) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: 1,
      name: '人事档案管理_人员_部门与人员_查询数据_根据部门编号',
      param: '考核部门编号=' + code + '=int'
    }
  })
}
